## python-wsproto 0.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -nW
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wsproto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wsproto.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wsproto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wsproto"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-wsproto (0.11.0-2) unstable; urgency=medium

  * Update copyright for wsproto/utf8validator.py (Closes: #894450)

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 16:32:14 +0200

python-wsproto (0.11.0-1) unstable; urgency=low

  * First upload (Closes: #894435)

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 11:29:18 +0200

=== debian/control ===
Source: python-wsproto
Maintainer: Sebastien Delafond <seb@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
Standards-Version: 4.1.3
Homepage: https://github.com/python-hyper/wsproto
Vcs-Git: https://salsa.debian.org/debian/python-wsproto.git
Vcs-Browser: https://salsa.debian.org/debian/python-wsproto

Package: python3-wsproto
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: WebSockets state-machine based protocol implementation (Python3)
 Pure-Python implementation of a WebSocket protocol stack. It's
 written from the ground up to be embeddable in whatever program you
 choose to use, ensuring that you can communicate via WebSockets, as
 defined in RFC6455, regardless of your programming paradigm.
 .
 This is the Python3 package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wsproto
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/wsproto/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/wsproto/wsproto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-wsproto 0.15.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = wsproto
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-wsproto (0.15.0-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.
  * debian/control: Mark package python-swproto-doc as
    M-A: foreign.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2020 17:00:48 -0500

python-wsproto (0.15.0-2) unstable; urgency=low

  * Build and ship documentation in python-wsproto-doc package.

 -- Michael Fladischer <fladi@debian.org>  Fri, 27 Dec 2019 21:45:38 +0100

python-wsproto (0.15.0-1) unstable; urgency=medium

  * New upstream release (Closes: #946871).
  * New maintainer (Closes: #947025).
  * Set Vcs-* to DPMT repo on salsa.debian.org.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.1.
  * Set Rules-Requires-Root: no.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add python3-h11 and python3-pytest to Build-Depends as required by
    tests.
  * Rename Expat as name for license.
  * Clean up files to allow two builds in a row.
  * Add myself to d/copyright.
  * Enable autopkgtest-pkg-python testsuite.
  * Clean up trailing newline in d/rules.
  * Clean up d/copyright, wsproto/utf8validator.py is no longer present.
  * Install README.rst in python3-wsproto binary package.

 -- Michael Fladischer <fladi@debian.org>  Fri, 27 Dec 2019 20:47:08 +0100

python-wsproto (0.11.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Sébastien Delafond ]
  * Set maintainer to Debian QA Group

 -- Sebastien Delafond <seb@debian.org>  Thu, 19 Dec 2019 17:22:57 +0100

=== debian/control ===
Source: python-wsproto
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-h11,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/python-hyper/wsproto
Vcs-Git: https://salsa.debian.org/python-team/modules/python-wsproto.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-wsproto
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python-wsproto-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WebSockets state-machine based protocol implementation (Documentation)
 Pure-Python implementation of a WebSocket protocol stack. It's
 written from the ground up to be embeddable in whatever program you
 choose to use, ensuring that you can communicate via WebSockets, as
 defined in RFC6455, regardless of your programming paradigm.
 .
 This package contains the documentation.

Package: python3-wsproto
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: WebSockets state-machine based protocol implementation (Python3)
 Pure-Python implementation of a WebSocket protocol stack. It's
 written from the ground up to be embeddable in whatever program you
 choose to use, ensuring that you can communicate via WebSockets, as
 defined in RFC6455, regardless of your programming paradigm.
 .
 This is the Python3 package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wsproto
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/source $(CURDIR)/debian/python-wsproto-doc/usr/share/doc/python-wsproto-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
# please also check https://pypi.debian.net/wsproto/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wsproto/wsproto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-wsproto 1.0.0

=== debian/changelog ===
python-wsproto (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  + Bump debhelper compat to v13.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 03:14:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: python-wsproto
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-h11,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/python-hyper/wsproto
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-wsproto.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-wsproto
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-wsproto.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wsproto
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

## python-wsproto 1.1.0

=== debian/changelog ===
python-wsproto (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes test failure with new h11 (Closes: #1005527)
  * Add more upstream metadata fields

 -- Paul Wise <pabs@debian.org>  Sun, 27 Feb 2022 20:59:25 +0800

## python-wsproto 1.2.0

=== debian/changelog ===
python-wsproto (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Install testfiles using d/pybuild.testfiles.
  * Enable upstream testsuite for autopkgtests.
  * Update d/copyright with new years.
  * Use uscan version 4.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Sat, 07 Jan 2023 16:11:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/python-hyper/wsproto
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-wsproto.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wsproto

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=wsproto
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
# please also check https://pypi.debian.net/wsproto/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wsproto/wsproto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-wsproto 1.3.2

=== debian/changelog ===
python-wsproto (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2
  * Build using pybuild-plugin-pyproject.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.
  * Adjust path to tests for d/testfiles.

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Jan 2026 13:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-h11,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/python-hyper/wsproto
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-wsproto.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wsproto
-Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-wsproto-doc
 Architecture: all

=== debian/watch ===
# please also check https://pypi.debian.net/wsproto/watch
version=5
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wsproto/wsproto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
